/*
 * @Author: WuWei
 * @Date: 2020-06-04 09:04:47
 * @LastEditors: WuWei
 * @LastEditTime: 2020-06-04 15:35:51
 * @Description:
 */

class SearchResidentHouseModel {
  String? id;
  String? roomNo;
  String? buildName;
  String? unitName;
  bool? isCheckIn;
  num? buildArea;

  SearchResidentHouseModel({
    this.id,
    this.roomNo,
    this.buildName,
    this.unitName,
    this.isCheckIn,
    this.buildArea,
  });

  SearchResidentHouseModel.fromJson(json) {
    Map<String, dynamic> map = Map.from(json ?? {});

    id = map['id'];
    roomNo = map['roomNo'];
    buildName = map['buildName'];
    unitName = map['unitName'];
    isCheckIn = map['isCheckIn'];
    buildArea = map['buildArea'];
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = Map<String, dynamic>();

    json['id'] = this.id;
    json['roomNo'] = this.roomNo;
    json['buildName'] = this.buildName;
    json['unitName'] = this.unitName;
    json['isCheckIn'] = this.isCheckIn;
    json['buildArea'] = this.buildArea;

    return json;
  }
}
